Bug 211148 - dns/powerdns-recursor: Update to 4.0.3
Summary: dns/powerdns-recursor: Update to 4.0.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Jason Unovitch
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-07-15 20:01 UTC by Ralf van der Enden
Modified: 2016-11-30 11:08 UTC (History)
5 users (show)

See Also:


Attachments
Update to 4.0.0 (3.34 KB, patch)
2016-07-15 20:01 UTC, Ralf van der Enden
koobs: maintainer-approval+
Details | Diff
buildlog (51.61 KB, text/plain)
2016-07-15 20:02 UTC, Ralf van der Enden
no flags Details
update to 4.0.1 (3.56 KB, patch)
2016-08-10 07:44 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff
update to 4.0.1 (3.56 KB, patch)
2016-08-10 07:46 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff
powerdns-recursor 4.0.1 build log (23.05 KB, text/plain)
2016-08-18 21:05 UTC, SBB
no flags Details
svn diff for dns/powerdns-recursor (3.03 KB, patch)
2016-08-26 15:19 UTC, Bernard Spil
no flags Details | Diff
Update to 4.0.2 (2.72 KB, patch)
2016-08-29 20:35 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff
powerdns-recursor 4.0.2 buildlog (46.43 KB, text/plain)
2016-08-29 20:35 UTC, Ralf van der Enden
no flags Details
Update to 4.0.3 (5.38 KB, patch)
2016-09-10 18:08 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2016-07-15 20:01:41 UTC
Created attachment 172563 [details]
Update to 4.0.0

Update to PowerDNS Recursive Server 4.0.0

Massive changelog can be found here: https://doc.powerdns.com/md/changelog/#powerdns-recursor-400

If using Lua DNS scripts those need to be revised before upgrading. Documentation can be found here: https://doc.powerdns.com/md/recursor/scripting/
The Example Script can be helpful in converting your script(s) to the new syntax. This warrants an entry in UPDATING IMO.
Comment 1 Ralf van der Enden 2016-07-15 20:02:25 UTC
Created attachment 172564 [details]
buildlog
Comment 2 Jason Unovitch freebsd_committer 2016-08-10 02:20:32 UTC
Take for follow on with #211147 so both can be updated together.
Comment 3 Ralf van der Enden 2016-08-10 07:44:16 UTC
Created attachment 173489 [details]
update to 4.0.1

(Almost) the same changes as for PowerDNS Authoritave Server, with one exception. I cannot get it to work on FreeBSD 9.3 i386, so I've marked it broken for that architecture and OSVERSION < 1000000
Comment 4 Ralf van der Enden 2016-08-10 07:46:45 UTC
Created attachment 173490 [details]
update to 4.0.1

Forgot to mark the previous patch obsolete. Sorry.

(Almost) the same changes as for PowerDNS Authoritave Server, with one exception. I cannot get it to work on FreeBSD 9.3 i386, so I've marked it broken for that architecture and OSVERSION < 1000000
Comment 5 commit-hook freebsd_committer 2016-08-15 01:39:53 UTC
A commit references this bug:

Author: junovitch
Date: Mon Aug 15 01:39:34 UTC 2016
New revision: 420209
URL: https://svnweb.freebsd.org/changeset/ports/420209

Log:
  dns/powerdns-recursor: update 3.7.3 -> 4.0.1

  - Mark BROKEN on FreeBSD 9
  - Remove STATIC option, add LUAJIT option
  - Cleanup LUA option, SETUID, and BROKEN_sparc64 usage; use option helpers

  Changes:	https://doc.powerdns.com/md/changelog/#powerdns-recursor-400
  		https://doc.powerdns.com/md/changelog/#powerdns-recursor-401

  PR:		211148
  Submitted by:   Ralf van der Enden <tremere@cainites.net> (maintainer)
  Security:	CVE-2016-6172
  Security:	https://vuxml.FreeBSD.org/freebsd/7d08e608-5e95-11e6-b334-002590263bf5.html

Changes:
  head/dns/powerdns-recursor/Makefile
  head/dns/powerdns-recursor/distinfo
  head/dns/powerdns-recursor/files/pdns-recursor.in
Comment 6 commit-hook freebsd_committer 2016-08-15 01:41:56 UTC
A commit references this bug:

Author: junovitch
Date: Mon Aug 15 01:40:52 UTC 2016
New revision: 420210
URL: https://svnweb.freebsd.org/changeset/ports/420210

Log:
  UPDATING: document PowerDNS changes in the 3.x -> 4.x update

  PR:		211147 211148
  Submitted by:	Ralf van der Enden <tremere@cainites.net> (PowerDNS maintainer)

Changes:
  head/UPDATING
Comment 7 Jason Unovitch freebsd_committer 2016-08-15 01:47:47 UTC
The attached patch didn't compile on 9.x either for amd64 or i386.  I temporarily removed the conditional check for less than FreeBSD 10 and just marked it broken.  Can you double check the C++11 options you had originally for 9.x?
Comment 8 SBB 2016-08-18 21:04:38 UTC
I get the following error when building with poudriere. Is it by any chance related to this ticket?

> /usr/bin/ld: cannot find -lboost_context
> c++: error: linker command failed with exit code 1 (use -v to see invocation)
> gmake[3]: *** [Makefile:856: pdns_recursor] Error 1
> gmake[3]: Leaving directory '/wrkdirs/usr/ports/dns/powerdns-recursor/work/pdns-recursor-4.0.1'
> gmake[2]: *** [Makefile:1059: all-recursive] Error 1
> gmake[2]: Leaving directory '/wrkdirs/usr/ports/dns/powerdns-recursor/work/pdns-recursor-4.0.1'
> gmake[1]: *** [Makefile:701: all] Error 2
> gmake[1]: Leaving directory '/wrkdirs/usr/ports/dns/powerdns-recursor/work/pdns-recursor-4.0.1'
> *** Error code 1

I will attach full build log.
Comment 9 SBB 2016-08-18 21:05:31 UTC
Created attachment 173834 [details]
powerdns-recursor 4.0.1 build log
Comment 10 Bernard Spil freebsd_committer 2016-08-26 15:19:16 UTC
Created attachment 174099 [details]
svn diff for dns/powerdns-recursor

Just checked that version 4.0.2 actually builds with LibreSSL without the patch.

Seems that a bug was squashed as well.
Comment 11 Bernard Spil freebsd_committer 2016-08-26 15:20:05 UTC
(In reply to Bernard Spil from comment #10)
Failed to add that pdns_recursor is linked to boost so a LIB_DEPENDS is also reuqired

LIB_DEPENDS+=libboost_context.so:devel/boost-libs
Comment 12 Ralf van der Enden 2016-08-29 20:35:05 UTC
Created attachment 174204 [details]
Update to 4.0.2

removes files/patch-libressl
Comment 13 Ralf van der Enden 2016-08-29 20:35:46 UTC
Created attachment 174205 [details]
powerdns-recursor 4.0.2 buildlog
Comment 14 Ralf van der Enden 2016-09-10 18:08:54 UTC
Created attachment 174626 [details]
Update to 4.0.3

Update to 4.0.3

While here add the LIB_DEPENDS for boost (sorry for missing that in my 4.0.2 update)

The LibreSSL patch is no longer necessary, but a new patch is required to fix building on MacOSX and FreeBSD (Lua related).
Comment 16 Ralf van der Enden 2016-09-21 15:27:28 UTC
Any reason the update to 4.0.3 isn't committed yet ?
Comment 17 commit-hook freebsd_committer 2016-09-22 10:16:08 UTC
A commit references this bug:

Author: brnrd
Date: Thu Sep 22 10:15:34 UTC 2016
New revision: 422595
URL: https://svnweb.freebsd.org/changeset/ports/422595

Log:
  dns/powerdns-recursor: Update to 4.0.3

    - Update to 4.0.3
    - Remove upstreamed LibreSSL patch
    - Add LUA patch

  PR:             211148
  Submitted by:   Ralf van der Enden <tremere@cainites.net> (maintainer)

  Sponsored by:	EuroBSDCon 2016 DevSummit

Changes:
  head/dns/powerdns-recursor/Makefile
  head/dns/powerdns-recursor/distinfo
  head/dns/powerdns-recursor/files/patch-libressl
  head/dns/powerdns-recursor/files/patch-lua-recursor4.cc